%-------------------------------------------------------------------------%
% Transient eksergianalyse ved fylling (komprimert h2)                    %
%-------------------------------------------------------------------------%
% Indata:
v=9.853*10^-3; % [m3]
cp=13.8*2.016; % h2 [kJ/kmol K]
R=8.314; % [kJ/kmol K]

Tenv=298;
penv=101;

Tm=298;
pm=4000;

T1=298;
p1=250;

T2=77;
p2=2000;

ng1=(p1*v/(R*T1)); 
ng2=(p2*v/(R*T2));

ech=236100;     % [kJ/kmol]
ExN2L=21919;    % [kJ/kmol]
ExN2g=5890;     % [kJ/kmol]
hfgN2=5588.8;   % [kJ/kmol]

Ex1=ng1*((cp-R)*(T1-Tenv)+R*(penv*T1/p1-Tenv)-Tenv*(cp*log(T1/Tenv)-R*log(p1/penv))+ech);
Ex2=ng2*((cp-R)*(T2-Tenv)+R*(penv*T2/p2-Tenv)-Tenv*(cp*log(T2/Tenv)-R*log(p2/penv))+ech);
exf=cp*(Tm-Tenv)-Tenv*(cp*log(Tm/Tenv)-R*log(pm/penv));
Q=ng2*(cp*(T2-Tm)-R*T2)-ng1*(cp*(T1-Tm)-R*T1);

Tb=77;

nN2=-Q/hfgN2;
Exd=Ex1-Ex2+Q*(1-Tenv/Tb)+(ng2-ng1)*(exf+ech);
Eksergi_i_tanken_ved_fyllestart=Ex1/(ech*ng2)*100           
Kjemisk_eksergi_ved_fyllestart=ng1/ng2*100
Stromningseksergi_inn_ventil=(ng2-ng1)*(exf+ech)/(ech*ng2)*100
Kjemiskeksergi_inn_ventil=(ng2-ng1)/(ng2)*100
ExN2tap=nN2*ExN2g;
Eksergitap_fra_nitrogengassavkok=ExN2tap/(ech*ng2)*100
Total_eksergidestruksjon=Exd/(ech*ng2)*100 
Exdp=Exd/(ech*ng2);
Eksergioverforing_ved_varmeovergang=Q*(1-Tenv/Tb)/(ech*ng2)*100
put=(p1+p2)/2;
Exvd=(ng2-ng1)*Tenv*R*log(pm/put);
Exvdp=Exvd/(ech*ng2);
Ekserginedbrytning_i_ventil=Exvdp*100          
Ekserginedbrytning_ved_varmeovergang=(Exdp-Exvdp)*100                   
Eksergi_i_tanken_ved_fylleslutt=Ex2/(ech*ng2)*100             
Kjemisk_eksergi_ved_fylleslutt=ng2/ng2*100