%-------------------------------------------------------------------------%
% Transient eksergianalyse ved fylling av NORIT adsorpsjonsbeholder       %
%-------------------------------------------------------------------------%
% Indata:

Tenv=298;
penv=101;

Tm=298;
pm=4000;

T1=298;
ne1=2.7391e-004; %%% put in verdier fra tappeslutt
ng1=2.7624e-004; %%%



e=0.41;         % Norit
e2=0.4;         % Norit
rhoa=400;       % tetthet adsorbent[kg/m3] - norit
rhom=8238;      % tetthet rustfritt stl AISI 316  [kg/m3] 
v=9.853*10^-3;  % [m3]
vm=3.845*10^-3; % volum til metallet i beholder [m3]
va=(1-e)*v;     % volum adsorbent [m3]
vvoid=e*v+va*e2;% volum void [m3]
ma=2.325;       % NORIT [kg]
cp=13.8*2.016;  % h2 [kJ/kmol K]
csa=0.475;      % Norit [kJ/kg K]
R=8.314;        % [kJ/kmol K]

p1=ma*ng1*R*T1/vvoid;
ntot1=(ne1+ng1);

T2=77;
p2=2000;
ne2=sipnorit(T2,p2);        % [kmol/kg adsorbent]
ng2=(p2*vvoid/(R*T2))/ma;   % [kmol/kg adsorbent]

ntot2=(ne2+ng2);

ech=236100;     % [kJ/kmol]
ExN2L=21919;    % [kJ/kmol]
ExN2g=5890;     % [kJ/kmol]
hfgN2=5588.8;   % [kJ/kmol]

Tb=77;

Ex1=Ex_NORIT(T1,p1,ng1,ne1);     % [KJ]
Ex2=Ex_NORIT(T2,p2,ng2,ne2);     % [KJ]
exf=cp*(Tm-Tenv)-Tenv*(cp*log(Tm/Tenv)-R*log(pm/penv));% [KJ/kmol]

Q=ma*(ntot2*(cp*(T2-Tm)-R*T2)+ne2*R*T2+Himm_NORIT(T2,p2)-ntot1*(cp*(T1-Tm)-R*T1)-ne1*R*T1-Himm_NORIT(T1,p1)+csa*(T2-T1)); % [kJ]

nN2=-Q/hfgN2;

Exd=Ex1-Ex2+Q*(1-Tenv/Tb)+ma*(ntot2-ntot1)*(exf+ech);

ExN2tap=nN2*ExN2g;
Exdp=Exd/(ech*ma*ntot2); 
put=(p1+p2)/2;
Exvd=ma*(ntot2-ntot1)*Tenv*R*log(pm/put);
Exvdp=Exvd/(ech*ma*ntot2);

% Skriver ut resultatene
Eksergi_i_tanken_ved_fyllestart=Ex1/(ech*ma*ntot2)*100                      
Kjemisk_eksergi_ved_fyllestart=ntot1/ntot2*100
Stromningseksergi_inn_ventil=ma*(ntot2-ntot1)*(exf+ech)/(ech*ma*ntot2)*100  
Kjemiskeksergi_inn_ventil=(ntot2-ntot1)/ntot2*100
Eksergitap_fra_nitrogengassavkok=ExN2tap/(ech*ma*ntot2)*100                     
Total_eksergidestruksjon=Exdp*100                                           
Ekserginedbrytning_i_ventil=Exvdp*100                                       
Ekserginedbrytning_ved_varmeovergang=(Exdp-Exvdp)*100                       
Eksergioverforing_ved_varmeovergang=Q*(1-Tenv/77)/(ech*ma*ntot2)*100        
Eksergi_i_tanken_ved_fylleslutt=Ex2/(ech*ma*ntot2)*100                      
Kjemisk_eksergi_ved_fylleslutt=ntot2/ntot2*100