%-------------------------------------------------------------------------%
% Transient eksergianalyse ved tapping av komprimert hydrogen beholder    %
%-------------------------------------------------------------------------%

% Indata:

Tenv=298;
penv=101;
Tut=298;
put=250;
T1=77;
p1=2000;
T2=298;
p2=250;

cp=13.8*2.016; % h2 [kJ/kmol K]
R=8.314; % [kJ/kmol K]

e=0.41; % Norit
e2=0.4; % Norit
rhoa=400; % tetthet adsorbent[kg/m3] - norit
rhom=8238; % tetthet rustfritt stl AISI 316  [kg/m3] 
v=9.853*10^-3; % [m3]
vm=3.845*10^-3; % volum til metallet i beholder [m3]
va=(1-e)*v; % volum adsorbent [m3]
vvoid=e*v+va*e2; % volum void [m3]
ma=2.325; % NORIT [kg]
ca=0.15; % [kJ/(kg*K)]

ng1=(p1*v/(R*T1)); 

hfgN2=5588.8; % [kJ/kmol]

ng2=p2*v/(R*T2); % [Kmol/kg adsorbent]

nut=ng1-ng2;

ech=236100; % [kJ/kmol]
ExN2=21113; % [kJ/kmol]

Tb=(T1+T2)/2;

Ex1=ng1*((cp-R)*(T1-Tenv)+R*(penv*T1/p1-T1)-Tenv*(cp*log(T1/Tenv)-R*log(p1/penv))+ech);
Ex2=ng2*((cp-R)*(T2-Tenv)+R*(penv*T2/p2-T2)-Tenv*(cp*log(T2/Tenv)-R*log(p2/penv))+ech);
exf=cp*(Tut-Tenv)-Tenv*(cp*log(Tut/Tenv)-R*log(put/penv));
Q=ng2*(cp*(T2-Tut)-R*T2)-ng1*(cp*(T1-Tut)-R*T1);
Exd=Ex1-Ex2+Q*(1-Tenv/Tb)-nut*(exf+ech);

Exdp=Exd/(ech*ng1);

pb=(p1+p2)/2;
Exvd=(ng1-ng2)*Tenv*R*log(pb/put);
Exvdp=Exvd/(ech*ng1);
Exqdp=Exdp-Exvdp;


Exut=nut*(exf+ech)/(ech*ng1); 
Exigjen=Ex2/(ech*ng1);
Ex1p=Ex1/(ech*ng1);

Exq=Q*(1-Tenv/Tb);
Total_eksergidestruksjon=Exdp*100           
pinn=(p1+p2)/2;
Exvd=nut*Tenv*R*log(pinn/put);
Exvdp=Exvd/(ech*ng1);                 
Ekserginedbrytning_i_ventil=Exvdp*100               
Ekserginedbrytning_ved_varmeovergang=(Exdp-Exvdp)*100                     
Eksegioverforing_ved_varmeovergang=Exq/(ech*ng1)*100
Eksergi_i_tanken_ved_tappestart=Ex1/(ech*ng1)*100
Kjemiskeksergi_i_tanken_ved_tappestart=ng1*ech/(ech*ng1)*100
Eksergi_til_reaksjonscelle=nut*(exf+ech)/(ech*ng1)*100     
Kjemiskeksergi_til_reaksjonscelle=nut*(ech)/(ech*ng1)*100
Eksergi_i_tanken_ved_tappeslutt=Ex2/(ech*ng1)*100             
Kjemiskeksergi_i_tanken_ved_tappeslutt=ng2*ech/(ech*ng1)*100