%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%-------------------------------------------------------------------------%
% PROGRAM FOR A KALKULERE ADSORBERT HYDROGENMENGDE I SUPERAKTIVERT KARBON %
% AX-21, SOM FUNKSJON AV TRYKK OG TEMPERATUR                              % 
%-------------------------------------------------------------------------%
% Indata                                                                  %
% T1 [K]                                                                  %
% P1 [kPa]                                                                %
% Utdata                                                                  %
% NE [kmol/kg adsorbent]                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [A] = sipax21(T,p)

p=p/1000; %MPa

% Diverse konstanter
a(1)=   29.57682301;
a(2)=   5.291282845;
a(3)=   3093.69013;
a(4)=   1.429210833;
a(5)=   0.456753074;
a(6)=   0.694594136;
R=      8.314;
T0=     77.000;
M=      2.016;

% Diverse variabler
n=1/(1/a(4)+a(5)*(1-T0/T));
cmus=a(1)*exp(a(6)*(1-T/T0));
b=a(2)*exp(a(3)/R*(1/T-1/T0));

% Lsning
A=cmus*(b*p)^(1/n)/(1+(b*p)^(1/n))/1000; % [kmol/kg adsorbent]
