%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%-------------------------------------------------------------------------%
% PROGRAM FOR A KALKULERE ADSORBERT HYDROGENMENGDE I NORIT R0.8           %
% SOM FUNKSJON AV TRYKK OG TEMPERATUR                                     % 
%-------------------------------------------------------------------------%
% Indata                                                                  %
% T1 [K]                                                                  %
% P1 [kPa]                                                                %
% Utdata                                                                  %
% NE [kmol/kg adsorbent]                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [sipnorit] = sipnorit(T,p)

p=p/1000; %MPa

% Diverse konstanter
cmus0=  15.35942037*10^-3; % [kmol/kg adsorbent]
b0=     12.89074434;
Q=      3024.137773;
n0=     1.223917594;
alfa=   0.197053678;
deltaT0=0.584992676;
R=      8.314;
T0=     77.000;
M=      2.016;
% Diverse variabler
n=1/(1/n0+alfa*(1-T0/T));
cmus=cmus0*exp(deltaT0*(1-T/T0));
b=b0*exp(Q/R*(1/T-1/T0));
% Lsning
sipnorit=cmus*(b*p)^(1/n)/(1+(b*p)^(1/n)); % [kmol/kg adsorbent]
